#------------------------------------------------------------------------------------------------------------
# File
#------------------------------------------------------------------------------------------------------------

action.item._fileCategory = category
action.item._fileCategory.name = ["action/fileCategory"]
action.item._fileCategory.mnemonic = ["action/fileCategory.mnemonic"]

action.item._fileCategory.item._newGroup = group

# File | New project...
action.item._fileCategory.item._newGroup.item._newProject = generic
action.item._fileCategory.item._newGroup.item._newProject.name = ["action/newProject"]
action.item._fileCategory.item._newGroup.item._newProject.icon = "MainToolbar/tb-main-new.gif"
action.item._fileCategory.item._newGroup.item._newProject.shortcut = "CTRL+SHIFT+N"
action.item._fileCategory.item._newGroup.item._newProject.mnemonic = ["action/newProject.mnemonic"]

# File | New project Expert
action.item._fileCategory.item._newGroup.item._newProjectExpert = generic
action.item._fileCategory.item._newGroup.item._newProjectExpert.name = ["action/newProjectExpert"]
;action.item._fileCategory.item._newGroup.item._newProjectExpert.shortcut = "CTRL+SHIFT+N"
action.item._fileCategory.item._newGroup.item._newProjectExpert.mnemonic = ["action/newProjectExpert.mnemonic"]

# File | New diagram...
action.item._fileCategory.item._newGroup.item._newDiagram = generic
action.item._fileCategory.item._newGroup.item._newDiagram.name = ["action/newDiagram"]
action.item._fileCategory.item._newGroup.item._newDiagram.icon = "MainToolbar/tb-NewDiagram.gif"
action.item._fileCategory.item._newGroup.item._newDiagram.mnemonic = ["action/newDiagram.mnemonic"]
action.item._fileCategory.item._newGroup.item._newDiagram.shortcut = CTRL+N

action.item._fileCategory.item._openGroup = group

# File | Open project...
action.item._fileCategory.item._openGroup.item._openProject = generic
action.item._fileCategory.item._openGroup.item._openProject.name = ["action/openProject"]
action.item._fileCategory.item._openGroup.item._openProject.icon = "MainToolbar/tb-main-open.gif"
action.item._fileCategory.item._openGroup.item._openProject.shortcut = "CTRL+SHIFT+O"
action.item._fileCategory.item._openGroup.item._openProject.mnemonic = ["action/openProject.mnemonic"]

# File | Project properties...
action.item._fileCategory.item._openGroup.item._projectProperties = generic
action.item._fileCategory.item._openGroup.item._projectProperties.name = ["action/projectProperties"]
action.item._fileCategory.item._openGroup.item._projectProperties.mnemonic = ["action/projectProperties.mnemonic"]

# File | Open...
action.item._fileCategory.item._openGroup.item._open = generic
action.item._fileCategory.item._openGroup.item._open.name = ["action/open"]

action.item._fileCategory.item._saveGroup = group

# File | Save
action.item._fileCategory.item._saveGroup.item._save = generic
action.item._fileCategory.item._saveGroup.item._save.name = ["action/save"]
action.item._fileCategory.item._saveGroup.item._save.icon = "MainToolbar/tb-main-save.gif"
action.item._fileCategory.item._saveGroup.item._save.mnemonic = ["action/save.mnemonic"]
action.item._fileCategory.item._saveGroup.item._save.shortcut = "CTRL+S"

# File | Save As...
action.item._fileCategory.item._saveGroup.item._saveAs = generic
action.item._fileCategory.item._saveGroup.item._saveAs.name = ["action/saveAs"]
action.item._fileCategory.item._saveGroup.item._saveAs.mnemonic = ["action/saveAs.mnemonic"]

# File | Save All
action.item._fileCategory.item._saveGroup.item._saveAll = generic
action.item._fileCategory.item._saveGroup.item._saveAll.name = ["action/saveAll"]
action.item._fileCategory.item._saveGroup.item._saveAll.mnemonic = ["action/saveAll.mnemonic"]
action.item._fileCategory.item._saveGroup.item._saveAll.shortcut = "CTRL+SHIFT+S"

# File | Save Image
action.item._fileCategory.item._saveGroup.item._saveImageCategory = category
action.item._fileCategory.item._saveGroup.item._saveImageCategory.name = ["action/saveImage"]
action.item._fileCategory.item._saveGroup.item._saveImageCategory.mnemonic = ["action/saveImage.mnemonic"]

# File | Save Image | GIF
action.item._fileCategory.item._saveGroup.item._saveImageCategory.item._saveImageGIF = generic
action.item._fileCategory.item._saveGroup.item._saveImageCategory.item._saveImageGIF.name = ["action/saveImageGIF"]
action.item._fileCategory.item._saveGroup.item._saveImageCategory.item._saveImageGIF.mnemonic = ["action/saveImageGIF.mnemonic"]

# File | Save Image | WMF
action.item._fileCategory.item._saveGroup.item._saveImageCategory.item._saveImageWMF = generic
action.item._fileCategory.item._saveGroup.item._saveImageCategory.item._saveImageWMF.name = ["action/saveImageWMF"]
action.item._fileCategory.item._saveGroup.item._saveImageCategory.item._saveImageWMF.mnemonic = ["action/saveImageWMF.mnemonic"]

action.item._fileCategory.item._closeGroup = group

# File | Close
action.item._fileCategory.item._closeGroup.item._close = generic
action.item._fileCategory.item._closeGroup.item._close.name = ["action/close"]
action.item._fileCategory.item._closeGroup.item._close.mnemonic = ["action/close.mnemonic"]
action.item._fileCategory.item._closeGroup.item._close.shortcut = "CTRL+W"

# File | Close Project
action.item._fileCategory.item._closeGroup.item._closeProject = generic
action.item._fileCategory.item._closeGroup.item._closeProject.name = ["action/closeProject"]
action.item._fileCategory.item._closeGroup.item._closeProject.mnemonic = ["action/closeProject.mnemonic"]

# File | Close All
action.item._fileCategory.item._closeGroup.item._closeAll = generic
action.item._fileCategory.item._closeGroup.item._closeAll.name = ["action/closeAll"]
action.item._fileCategory.item._closeGroup.item._closeAll.shortcut = "CTRL+SHIFT+W"

action.item._fileCategory.item._printGroup = group

# File | Print Diagram...
action.item._fileCategory.item._printGroup.item._printDiagram = generic
action.item._fileCategory.item._printGroup.item._printDiagram.name = ["action/printDiagram"]
action.item._fileCategory.item._printGroup.item._printDiagram.mnemonic = ["action/printDiagram.mnemonic"]
action.item._fileCategory.item._printGroup.item._printDiagram.icon = "MainToolbar/tb-main-print.gif"
action.item._fileCategory.item._printGroup.item._printDiagram.shortcut = "CTRL+P"

# File | Print File...
action.item._fileCategory.item._printGroup.item._printFile = generic
action.item._fileCategory.item._printGroup.item._printFile.name = ["action/printFile"]
action.item._fileCategory.item._printGroup.item._printFile.mnemonic = ["action/printFile.mnemonic"]
action.item._fileCategory.item._printGroup.item._printFile.icon = "MainToolbar/tb-main-print.gif"
action.item._fileCategory.item._printGroup.item._printFile.shortcut = "CTRL+P"


# File | Exit
action.item._fileCategory.item._exit = generic
action.item._fileCategory.item._exit.name = ["action/exit"]
action.item._fileCategory.item._exit.mnemonic = ["action/exit.mnemonic"]
action.item._fileCategory.item._exit.shortcut = "ALT+X"

#------------------------------------------------------------------------------------------------------------
# Edit
#------------------------------------------------------------------------------------------------------------

action.item._editCategory = category
action.item._editCategory.name = ["action/editCategory"]
action.item._editCategory.mnemonic = ["action/editCategory.mnemonic"]

action.item._editCategory.item._undoredoGroup = group

# Edit | Undo
action.item._editCategory.item._undoredoGroup.item._undo = generic
action.item._editCategory.item._undoredoGroup.item._undo.name = ["action/undo"]
action.item._editCategory.item._undoredoGroup.item._undo.icon = "MainToolbar/tb-main-undo.gif"
action.item._editCategory.item._undoredoGroup.item._undo.shortcut = "CTRL+Z"
action.item._editCategory.item._undoredoGroup.item._undo.shortcut2 = "ALT+BACK_SPACE"

# Edit | Redo
action.item._editCategory.item._undoredoGroup.item._redo = generic
action.item._editCategory.item._undoredoGroup.item._redo.icon = "MainToolbar/tb-main-redo.gif"
action.item._editCategory.item._undoredoGroup.item._redo.shortcut = "CTRL+Y"
action.item._editCategory.item._undoredoGroup.item._redo.shortcut2 = "CTRL+SHIFT+Z"

action.item._editCategory.item._cutcopypasteGroup = group

# Edit | Cut
action.item._editCategory.item._cutcopypasteGroup.item._cut = generic
action.item._editCategory.item._cutcopypasteGroup.item._cut.name = ["action/cut"]
action.item._editCategory.item._cutcopypasteGroup.item._cut.icon = "MainToolbar/tb-main-cut.gif"
action.item._editCategory.item._cutcopypasteGroup.item._cut.mnemonic = ["action/cut.mnemonic"]
action.item._editCategory.item._cutcopypasteGroup.item._cut.shortcut = "CTRL+X"
action.item._editCategory.item._cutcopypasteGroup.item._cut.shortcut2 = "SHIFT+DELETE"

# Edit | Copy
action.item._editCategory.item._cutcopypasteGroup.item._copy = generic
action.item._editCategory.item._cutcopypasteGroup.item._copy.name = ["action/copy"]
action.item._editCategory.item._cutcopypasteGroup.item._copy.icon = "MainToolbar/tb-main-copy.gif"
action.item._editCategory.item._cutcopypasteGroup.item._copy.shortcut = "CTRL+C"
action.item._editCategory.item._cutcopypasteGroup.item._copy.shortcut2 = "CTRL+INSERT"

# Edit | Copy Image
;action.item._editCategory.item._cutcopypasteGroup.item._copyImage = generic
;action.item._editCategory.item._cutcopypasteGroup.item._copyImage.name = ["action/copyImage"]
;action.item._editCategory.item._cutcopypasteGroup.item._copyImage.icon = "MainToolbar/tb-main-copy.gif"

# Edit | Paste
action.item._editCategory.item._cutcopypasteGroup.item._paste = generic
action.item._editCategory.item._cutcopypasteGroup.item._paste.name = ["action/paste"]
action.item._editCategory.item._cutcopypasteGroup.item._paste.icon = "MainToolbar/tb-main-paste.gif"
action.item._editCategory.item._cutcopypasteGroup.item._paste.shortcut = "CTRL+V"
action.item._editCategory.item._cutcopypasteGroup.item._paste.shortcut2 = "SHIFT+INSERT"

action.item._editCategory.item._deleteGroup = group

# Edit | Delete
action.item._editCategory.item._deleteGroup.item._delete = generic
action.item._editCategory.item._deleteGroup.item._delete.name = ["action/delete"]
action.item._editCategory.item._deleteGroup.item._delete.mnemonic = ["action/delete.mnemonic"]
action.item._editCategory.item._deleteGroup.item._delete.shortcut = "Delete"

# Edit | Delete From View
#action.item._editCategory.item._deleteGroup.item._deleteFromView = generic
#action.item._editCategory.item._deleteGroup.item._deleteFromView.name = ["action/deleteFromView"]
#action.item._editCategory.item._deleteGroup.item._deleteFromView.mnemonic = ["action/deleteFromView.mnemonic"]

action.item._editCategory.item._selectAll = generic
action.item._editCategory.item._selectAll.name = ["action/selectAll"]
action.item._editCategory.item._selectAll.mnemonic = ["action/selectAll.mnemonic"]

action.item._editCategory.item._goToLineNumberGroup = group

# Edit | Insert As Text ...
action.item._editCategory.item._goToLineNumberGroup.item._insertFileAsText = generic
action.item._editCategory.item._goToLineNumberGroup.item._insertFileAsText.name = ["action/insertFileAsText"]
action.item._editCategory.item._goToLineNumberGroup.item._insertFileAsText.mnemonic = ["action/insertFileAsText.mnemonic"]

# Edit | Goto Line ...
action.item._editCategory.item._goToLineNumberGroup.item._goToLineNumber = generic
action.item._editCategory.item._goToLineNumberGroup.item._goToLineNumber.name = ["action/gotoLine"]
action.item._editCategory.item._goToLineNumberGroup.item._goToLineNumber.mnemonic = ["action/gotoLine.mnemonic"]
action.item._editCategory.item._goToLineNumberGroup.item._goToLineNumber.shortcut = "CTRL+G"

#------------------------------------------------------------------------------------------------------------
# Object
#------------------------------------------------------------------------------------------------------------

action.item._objectCategory = category
action.item._objectCategory.name = ["action/objectCategory"]
action.item._objectCategory.mnemonic = ["action/objectCategory.mnemonic"]
action.item._objectCategory.item._objectGroup = group

#------------------------------------------------------------------------------------------------------------
# Search
#------------------------------------------------------------------------------------------------------------

action.item._searchCategory = category

action.item._searchCategory.name = ["action/searchCategory"]
action.item._searchCategory.mnemonic = ["action/searchCategory.mnemonic"]
# Search | Find
action.item._searchCategory.item._find = generic
action.item._searchCategory.item._find.name = ["action/find"]
action.item._searchCategory.item._find.icon = "MainToolbar/tb-main-find.gif"
action.item._searchCategory.item._find.shortcut = "CTRL+F"
action.item._searchCategory.item._find.shortcut2 = "ALT+F3"

# Search | Replace
action.item._searchCategory.item._replace = generic
action.item._searchCategory.item._replace.name = ["action/replace"]
action.item._searchCategory.item._replace.shortcut = "CTRL+H"
action.item._searchCategory.item._replace.shortcut2 = "CTRL+R"

# Search | Search Again
action.item._searchCategory.item._searchAgain = generic
action.item._searchCategory.item._searchAgain.name = ["action/searchAgain"]
action.item._searchCategory.item._searchAgain.shortcut = "F3"
action.item._searchCategory.item._searchAgain.shortcut2 =  "CTRL+F3"

action.item._searchCategory.item._fileFindGroup = group

#------------------------------------------------------------------------------------------------------------
# View
#------------------------------------------------------------------------------------------------------------

action.item._viewCategory = category
action.item._viewCategory.name = ["action/viewCategory"]
action.item._viewCategory.mnemonic = ["action/viewCategory.mnemonic"]

action.item._viewCategory.item._panesGroup = group

action.item._viewCategory.item._panesGroup.item._explorerPane = checkbox
action.item._viewCategory.item._panesGroup.item._explorerPane.name = ["action/explorer"]
action.item._viewCategory.item._panesGroup.item._explorerPane.icon = "MainToolbar/tb-main-explorer.gif"
action.item._viewCategory.item._panesGroup.item._explorerPane.mnemonic = ["action/explorer.mnemonic"]
action.item._viewCategory.item._panesGroup.item._explorerPane.shortcut = "F6"

#action.item._viewCategory.item._panesGroup.item._inspectorPane = checkbox
#action.item._viewCategory.item._panesGroup.item._inspectorPane.name = ["action/inspector"]
#action.item._viewCategory.item._panesGroup.item._inspectorPane.icon = "MainToolbar/tb-main-inspector.gif"
#action.item._viewCategory.item._panesGroup.item._inspectorPane.mnemonic = ["action/inspector.mnemonic"]
#action.item._viewCategory.item._panesGroup.item._inspectorPane.shortcut = "F7"

#action.item._viewCategory.item._panesGroup.item._resourcePane = checkbox
#action.item._viewCategory.item._panesGroup.item._resourcePane.name = ["action/resourcePane"]
#;action.item._viewCategory.item._panesGroup.item._resourcePane.icon = "MainToolbar/tb-main-resource-pane-hidden.gif"
#action.item._viewCategory.item._panesGroup.item._resourcePane.icon = "MainToolbar/tb-main-resource-pane.gif"
#action.item._viewCategory.item._panesGroup.item._resourcePane.mnemonic = ["action/resourcePane.mnemonic"]
#action.item._viewCategory.item._panesGroup.item._resourcePane.shortcut = "F8"

action.item._viewCategory.item._panesGroup.item._textPane = checkbox
action.item._viewCategory.item._panesGroup.item._textPane.name = ["action/textPane"]
;action.item._viewCategory.item._panesGroup.item._textPane.icon = "MainToolbar/tb-main-text-pane-hidden.gif"
action.item._viewCategory.item._panesGroup.item._textPane.icon = "MainToolbar/tb-main-text-pane.gif"
action.item._viewCategory.item._panesGroup.item._textPane.mnemonic = ["action/textPane.mnemonic"]
action.item._viewCategory.item._panesGroup.item._textPane.shortcut="F9"

action.item._viewCategory.item._panesGroup.item._diagramPane = checkbox
action.item._viewCategory.item._panesGroup.item._diagramPane.name = ["action/diagramPane"]
;action.item._viewCategory.item._panesGroup.item._diagramPane.icon = "MainToolbar/tb-main-diagram-pane-hidden.gif"
action.item._viewCategory.item._panesGroup.item._diagramPane.icon = "MainToolbar/tb-main-diagram-pane.gif"
action.item._viewCategory.item._panesGroup.item._diagramPane.mnemonic = ["action/diagramPane.mnemonic"]
action.item._viewCategory.item._panesGroup.item._diagramPane.shortcut="F10"


action.item._viewCategory.item._panesGroup.item._messagePane = checkbox
action.item._viewCategory.item._panesGroup.item._messagePane.name = ["action/messagePane"]
;action.item._viewCategory.item._panesGroup.item._messagePane.icon = "MainToolbar/tb-main-msg-pane-hidden.gif"
action.item._viewCategory.item._panesGroup.item._messagePane.icon = "MainToolbar/tb-main-msg-pane.gif"
action.item._viewCategory.item._panesGroup.item._messagePane.mnemonic = ["action/messagePane.mnemonic"]
action.item._viewCategory.item._panesGroup.item._messagePane.shortcut = "F11"

action.item._viewCategory.item._togglePaneZoom = generic
action.item._viewCategory.item._togglePaneZoom.shortcut = "F12"
action.item._viewCategory.item._togglePaneZoom.name = ["action/zoom"]
action.item._viewCategory.item._togglePaneZoom.icon = "MainToolbar/tb-main-full-screen.gif"

#------------------------------------------------------------------------------------------------------------
# Select
#------------------------------------------------------------------------------------------------------------

action.item._windowCategory = category
action.item._windowCategory.name = ["action/windowCategory"]
action.item._windowCategory.mnemonic = ["action/windowCategory.mnemonic"]

action.item._windowCategory.item._diagramNavigationGroup = group

action.item._windowCategory.item._diagramNavigationGroup.item._back = generic
action.item._windowCategory.item._diagramNavigationGroup.item._back.name = ["action/back"]
action.item._windowCategory.item._diagramNavigationGroup.item._back.icon = "MainToolbar/Back.gif"

action.item._windowCategory.item._diagramNavigationGroup.item._forward = generic
action.item._windowCategory.item._diagramNavigationGroup.item._forward.name = ["action/forward"]
action.item._windowCategory.item._diagramNavigationGroup.item._forward.icon = "MainToolbar/Forward.gif"

action.item._windowCategory.item._diagramNavigationGroup.item._findParent = generic
action.item._windowCategory.item._diagramNavigationGroup.item._findParent.name = ["action/findParent"]
action.item._windowCategory.item._diagramNavigationGroup.item._findParent.icon = "MainToolbar/FindParent.gif"

action.item._windowCategory.item._focusNextVisiblePane = generic
action.item._windowCategory.item._focusNextVisiblePane.shortcut = "CTRL+F12"
action.item._windowCategory.item._focusNextVisiblePane.name = ["action/focusNextVisiblePane"]
;action.item._windowCategory.item._focusNextVisiblePane.icon = "MainToolbar/tb-main-full-screen.gif"

action.item._windowCategory.item._focusPrevVisiblePane = generic
action.item._windowCategory.item._focusPrevVisiblePane.shortcut = "CTRL+SHIFT+F12"
action.item._windowCategory.item._focusPrevVisiblePane.name = ["action/focusPrevVisiblePane"]

action.item._windowCategory.item._navigateTabGroup = group

action.item._windowCategory.item._navigateTabGroup.item._selectNextTab = generic
action.item._windowCategory.item._navigateTabGroup.item._selectNextTab.shortcut = "ALT+RIGHT"
action.item._windowCategory.item._navigateTabGroup.item._selectNextTab.name = ["action/selectNextTab"]

action.item._windowCategory.item._navigateTabGroup.item._selectPreviousTab = generic
action.item._windowCategory.item._navigateTabGroup.item._selectPreviousTab.shortcut = "ALT+LEFT"
action.item._windowCategory.item._navigateTabGroup.item._selectPreviousTab.name = ["action/selectPreviousTab"]

action.item._windowCategory.item._selectPanesGroup = group

action.item._windowCategory.item._selectPanesGroup.item._selectExplorerPane = generic
action.item._windowCategory.item._selectPanesGroup.item._selectExplorerPane.name = ["action/selectExplorer"]
action.item._windowCategory.item._selectPanesGroup.item._selectExplorerPane.mnemonic = ["action/selectExplorer.mnemonic"]
action.item._windowCategory.item._selectPanesGroup.item._selectExplorerPane.shortcut = "CTRL+F6"

;action.item._windowCategory.item._selectPanesGroup.item._selectInspectorPane = generic
;action.item._windowCategory.item._selectPanesGroup.item._selectInspectorPane.name = ["action/selectInspector"]
;action.item._windowCategory.item._selectPanesGroup.item._selectInspectorPane.mnemonic = ["action/selectInspector.mnemonic"]
;action.item._windowCategory.item._selectPanesGroup.item._selectInspectorPane.shortcut = "CTRL+F7"

;action.item._windowCategory.item._selectPanesGroup.item._selectResourcePane = generic
;action.item._windowCategory.item._selectPanesGroup.item._selectResourcePane.name = ["action/selectResourcePane"]
;action.item._windowCategory.item._selectPanesGroup.item._selectResourcePane.mnemonic = ["action/selectResourcePane.mnemonic"]
;action.item._windowCategory.item._selectPanesGroup.item._selectResourcePane.shortcut = "CTRL+F8"

action.item._windowCategory.item._selectPanesGroup.item._selectTextPane = generic
action.item._windowCategory.item._selectPanesGroup.item._selectTextPane.name = ["action/selectTextPane"]
action.item._windowCategory.item._selectPanesGroup.item._selectTextPane.mnemonic = ["action/selectTextPane.mnemonic"]
action.item._windowCategory.item._selectPanesGroup.item._selectTextPane.shortcut="CTRL+F9"

action.item._windowCategory.item._selectPanesGroup.item._selectDiagramPane = generic
action.item._windowCategory.item._selectPanesGroup.item._selectDiagramPane.name = ["action/selectDiagramPane"]
action.item._windowCategory.item._selectPanesGroup.item._selectDiagramPane.mnemonic = ["action/selectDiagramPane.mnemonic"]
action.item._windowCategory.item._selectPanesGroup.item._selectDiagramPane.shortcut="CTRL+F10"


action.item._windowCategory.item._selectPanesGroup.item._selectMessagePane = generic
action.item._windowCategory.item._selectPanesGroup.item._selectMessagePane.name = ["action/selectMessagePane"]
action.item._windowCategory.item._selectPanesGroup.item._selectMessagePane.mnemonic = ["action/selectMessagePane.mnemonic"]
action.item._windowCategory.item._selectPanesGroup.item._selectMessagePane.shortcut = "CTRL+F11"

#--------------------------------
# Options category
#------------------------------------------------------------------------------------------------------------

action.item._optionsCategory = category
action.item._optionsCategory.name = ["action/optionsCategory"]
action.item._optionsCategory.mnemonic = ["action/optionsCategory.mnemonic"]

action.item._optionsCategory.item._levelsGroup = group

# Options | Default Options...
action.item._optionsCategory.item._levelsGroup.item._defaultOptions = generic
action.item._optionsCategory.item._levelsGroup.item._defaultOptions.name = ["action/defaultOptions"]
action.item._optionsCategory.item._levelsGroup.item._defaultOptions.mnemonic = ["action/defaultOptions.mnemonic"]

# Options | Project Options...
action.item._optionsCategory.item._levelsGroup.item._projectOptions = generic
action.item._optionsCategory.item._levelsGroup.item._projectOptions.name = ["action/projectOptions"]
action.item._optionsCategory.item._levelsGroup.item._projectOptions.mnemonic = ["action/projectOptions.mnemonic"]


# Options | Diagram Options...
action.item._optionsCategory.item._levelsGroup.item._diagramOptions = generic
action.item._optionsCategory.item._levelsGroup.item._diagramOptions.name = ["action/diagramOptions"]

action.item._optionsCategory.item._specificPanesGroup = group

# Options | Tool Integration...
action.item._optionsCategory.item._specificPanesGroup.item._externalTools = generic
action.item._optionsCategory.item._specificPanesGroup.item._externalTools.name = ["action/externalTools"]

# Options | Diagram filters...
action.item._optionsCategory.item._specificPanesGroup.item._viewManagement = generic
action.item._optionsCategory.item._specificPanesGroup.item._viewManagement.name = ["action/diagramViewManagement"]
action.item._optionsCategory.item._specificPanesGroup.item._viewManagement.icon = "MainToolbar/tb-main-filters.gif"
action.item._optionsCategory.item._specificPanesGroup.item._viewManagement.mnemonic = ["action/diagramViewManagement.mnemonic"]

# Options | Diagram Print...
action.item._optionsCategory.item._specificPanesGroup.item._diagramPrintOptions = generic
action.item._optionsCategory.item._specificPanesGroup.item._diagramPrintOptions.name = ["action/diagramPrintOptions"]

# Options | Recognize...
action.item._optionsCategory.item._recognizeBeansGroup = group

action.item._optionsCategory.item._recognizeBeansGroup.item._recognizeJavaBeans = checkbox
action.item._optionsCategory.item._recognizeBeansGroup.item._recognizeJavaBeans.icon = "MainToolbar/tb-main-beanRecognition.gif"
action.item._optionsCategory.item._recognizeBeansGroup.item._recognizeJavaBeans.name = ["action/recognizeJavaBeans"]

# Note: C++ properties regonition may work unstably now
action.item._optionsCategory.item._recognizeBeansGroup.item._recognizeCPPProperties = checkbox
action.item._optionsCategory.item._recognizeBeansGroup.item._recognizeCPPProperties.icon = "MainToolbar/tb-main-propertyRecognition.gif"
action.item._optionsCategory.item._recognizeBeansGroup.item._recognizeCPPProperties.name = ["action/recognizeCPPProperties"]

#action.item._optionsCategory.item._reloadGroup = group

# Options | Reload
#action.item._optionsCategory.item._reloadGroup.item._systemPropertiesReload = generic
#action.item._optionsCategory.item._reloadGroup.item._systemPropertiesReload.name = ["action/systemPropertiesReload"]
#action.item._optionsCategory.item._reloadGroup.item._systemPropertiesReload.mnemonic = ["action/systemPropertiesReload.mnemonic"]

action.item._optionsCategory.item._systemPropertiesReload = generic
action.item._optionsCategory.item._systemPropertiesReload.name = ["action/systemPropertiesReload"]
action.item._optionsCategory.item._systemPropertiesReload.mnemonic = ["action/systemPropertiesReload.mnemonic"]

# Options | Version Control | Offline
;action.item._optionsCategory.item._versionControlCategory.item._offline = generic
;action.item._optionsCategory.item._versionControlCategory.item._offline.name = ["action/offline"]
;action.item._optionsCategory.item._versionControlCategory.item._offline.mnemonic = ["action/offline.mnemonic"]

#------------------------------------------------------------------------------------------------------------
# Tools
#------------------------------------------------------------------------------------------------------------

action.item._toolsCategory = category
action.item._toolsCategory.name = ["action/toolsCategory"]
action.item._toolsCategory.mnemonic = ["action/toolsCategory.mnemonic"]

;action.item._toolsCategory.item._documentationGroup = group
action.item._toolsCategory.item._documentationGroup = category
action.item._toolsCategory.item._documentationGroup.name = ["action/documentationGroup"]

# Tools | Generate HTML...
;action.item._toolsCategory.item._documentationGroup.item._generateDocumentation = generic
;action.item._toolsCategory.item._documentationGroup.item._generateDocumentation.name = ["action/generateDocumentation"]
;action.item._toolsCategory.item._documentationGroup.item._generateDocumentation.icon = "MainToolbar/tb-main-GenerateHTML.gif"

# Tools | Generate Documentation...
;action.item._toolsCategory.item._documentationGroup.item._generateRudeDocumentation = generic
;action.item._toolsCategory.item._documentationGroup.item._generateRudeDocumentation.name = ["action/generateRudeDocumentation"]
;action.item._toolsCategory.item._documentationGroup.item._generateRudeDocumentation.icon = "MainToolbar/tb-main-docgen.gif"

# Tools | Generate Documentation Template...
;action.item._toolsCategory.item._documentationGroup.item._generateRudeTemplates = generic
;action.item._toolsCategory.item._documentationGroup.item._generateRudeTemplates.name = ["action/generateRudeTemplates"]


# Tools | Deploy EJBs to...
action.item._toolsCategory.item._ejbGroup = group

# Tools | Import/Generate Database...
action.item._toolsCategory.item._ddlGroup = group

# Tools | Generate IDL...
action.item._toolsCategory.item._idlGroup = group

action.item._toolsCategory.item._externalToolsGroup = group

# Tools | Compile
;action.item._toolsCategory.item._externalToolsGroup.item._compileCategory = category
;action.item._toolsCategory.item._externalToolsGroup.item._compileCategory.name = ["action/compileCategory"]

# Tools | Compile | Debug
action.item._toolsCategory.item._externalToolsGroup.item._compileCategory.item._compileDebug = generic
action.item._toolsCategory.item._externalToolsGroup.item._compileCategory.item._compileDebug.name = ["action/compileDebug"]

# Tools | Compile | Release
action.item._toolsCategory.item._externalToolsGroup.item._compileCategory.item._compileRelease = generic
action.item._toolsCategory.item._externalToolsGroup.item._compileCategory.item._compileRelease.name = ["action/compileRelease"]

# Tools | Make
action.item._toolsCategory.item._externalToolsGroup.item._make = generic
action.item._toolsCategory.item._externalToolsGroup.item._make.name = ["action/make"]

# Tools | Build
action.item._toolsCategory.item._externalToolsGroup.item._build = generic
action.item._toolsCategory.item._externalToolsGroup.item._build.name = ["action/build"]

# Tools | Debug
action.item._toolsCategory.item._externalToolsGroup.item._debug = generic
action.item._toolsCategory.item._externalToolsGroup.item._debug.name = ["action/debug"]

# Tools | Synchronize
action.item._toolsCategory.item._synchronizeWithExternalChanges = generic
action.item._toolsCategory.item._synchronizeWithExternalChanges.name = ["action/synchronizeWithExternalChanges"]
action.item._toolsCategory.item._synchronizeWithExternalChanges.icon = "MainToolbar/tb-main-sync.gif"

#------------------------------------------------------------------------------------------------------------
# Help
#------------------------------------------------------------------------------------------------------------

action.item._helpCategory = category
action.item._helpCategory.name = ["action/helpCategory"]
action.item._helpCategory.mnemonic = ["action/helpCategory.mnemonic"]

action.item._helpCategory.item._helpGroup = group

# Help | Contents
action.item._helpCategory.item._helpGroup.item._contents = generic
action.item._helpCategory.item._helpGroup.item._contents.name = ["action/helpContents"]
action.item._helpCategory.item._helpGroup.item._contents.tooltip = ["action/helpContents.tooltip"]
action.item._helpCategory.item._helpGroup.item._contents.mnemonic = ["action/helpContents.mnemonic"]
action.item._helpCategory.item._helpGroup.item._contents.shortcut = "SHIFT+F1"
action.item._helpCategory.item._helpGroup.item._contents.icon = "MainToolbar/tb-main-help.gif"

# Help | Getting Started
action.item._helpCategory.item._helpGroup.item._gettingStarted = generic
action.item._helpCategory.item._helpGroup.item._gettingStarted.name = ["action/helpGettingStarted"]
action.item._helpCategory.item._helpGroup.item._gettingStarted.mnemonic = ["action/helpGettingStarted.mnemonic"]

# Help | User Guide
action.item._helpCategory.item._helpGroup.item._userGuide = generic
action.item._helpCategory.item._helpGroup.item._userGuide.name = ["action/helpUserGuide"]
action.item._helpCategory.item._helpGroup.item._userGuide.mnemonic = ["action/helpUserGuide.mnemonic"]

# Help | About
action.item._helpCategory.item._about = generic
action.item._helpCategory.item._about.name = ["action/about"]
action.item._helpCategory.item._about.mnemonic = ["action/about.mnemonic"]

